************
* PCPCMENU *
************
* Hoofdmenu van het PACS-systeem
*
SET ESCAPE OFF
SET TALK OFF
SET BELL ON
SET CONFIRM ON  
* 
* Toon PACS-logo
*
STORE T TO return
DO pcsyin
*
* Test of memory-file aanwezig is, zo nee, dan betekent dat, dat dit de
* eerste keer is, dat het PACS-systeem wordt gebruikt. (Behalve als het
* memory-file is verwijderd.) 
*
*****************
* LET OP : drivenummer van memoryfile aanpassen (b: => e: (harddisk))
*****************
IF .NOT. FILE ('e:pcfimem.mem')
   STORE T TO start:up
   ERASE
   DO pcsyss
ENDIF
*****************
* LET OP : drivenummer van memoryfile aanpassen (b: => e: (harddisk))
*****************
RESTORE FROM e:pcfimem
STORE $(sysdate,4,2) + "/" + $(sysdate,1,2) + "/" + $(sysdate,7,2) TO memvar
SET DATE TO &memvar 
RELEASE MEMVAR
STORE "-" TO choice
DO WHILE choice # "E"
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "------------------------- HOOFDMENU ------------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   IF cur:prod = "*"
      @ 4,16 SAY "GEEN"
   ELSE
      @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   ENDIF
   @  7, 5 SAY "U KUNT KIEZEN VOOR EEN SUBMENU MET MEERDERE FUNKTIES OF VOOR EEN ENKELE"
   @  8, 5 SAY "FUNKTIE. U KUNT UW KEUZE MAKEN DOOR HET NUMMER DAARVOOR IN TE TIKKEN."
   @ 10,25 SAY "1- HET PRODUKTIENUMMER"
   @ 11,25 SAY "2- WIJZIGEN GEGEVENS"
   @ 12,25 SAY "3- DE KAART OP HET BEELDSCHERM" 
   @ 13,25 SAY "4- RAPPORTERING OP PAPIER"
   @ 14,25 SAY "5- HET HISTORISCH BESTAND"
   @ 15,25 SAY "6- NAAR HET GEBRUIKERSMENU"
   @ 16,25 SAY "7- SYSTEEMFUNKTIES"
   @ 17,25 SAY "E- EINDE" 
   @ 19,28 SAY "UW KEUZE SVP"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   STORE "." TO choice
   DO WHILE .NOT. (choice $ "1234567E")
      STORE "." TO choice
      @ 19,41 GET choice PICTURE "!"
      READ
      CLEAR GETS
      IF (choice $ "235") .AND. (cur:prod = "*")
         STORE "." TO akk
         @ 22,0 SAY "GEEN PRODUKTIENUMMER GESELECTEERD, DRUK RETURN " GET akk
         READ
         @ 22,0 SAY "                                                  "
         STORE "-" TO choice
      ENDIF
   ENDDO
   IF choice # "E"
      SAVE TO &memory
      DO CASE 
         CASE choice = "1"
              DO pcprmenu
         CASE choice = "2"
              DO pcedmenu
         CASE choice = "3"
              DO pcdimenu
         CASE choice = "4"
              DO pcremenu
         CASE choice = "5"
              DO pchimenu
         CASE choice = "6"
              DO pcusmenu
         CASE choice = "7"
              DO pcsymenu
      ENDCASE
      RESTORE FROM &memory 
      STORE "." TO choice
   ENDIF
ENDDO
STORE F TO return
DO pcsyin
QUIT TO "A:"
*
* EINDE PROGRAMMA
*
